//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FoodTruck.DATA
{
    using System;
    using System.Collections.Generic;
    
    public partial class Utilisateur
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Utilisateur()
        {
            this.Adresse_facturation = new HashSet<Adresse_facturation>();
            this.Adresse_livraison = new HashSet<Adresse_livraison>();
            this.Commande = new HashSet<Commande>();
        }
    
        public int id_Utilisateur { get; set; }
        public Nullable<System.DateTime> date_naissance { get; set; }
        public string email { get; set; }
        public Nullable<bool> isenable { get; set; }
        public string login { get; set; }
        public string nom { get; set; }
        public string password { get; set; }
        public string prenom { get; set; }
        public Nullable<int> id_Genre { get; set; }
        public Nullable<int> id_Societe { get; set; }
        public Nullable<int> id_Profil { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Adresse_facturation> Adresse_facturation { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Adresse_livraison> Adresse_livraison { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Commande> Commande { get; set; }
        public virtual Genre Genre { get; set; }
        public virtual Profil Profil { get; set; }
        public virtual Societe Societe { get; set; }
    }
}
